# Class: MoneroKeyImage

## MoneroKeyImage(stateOrHex, signature)

Models a Monero key image.

## Constructor

#### new MoneroKeyImage(stateOrHex, signature)

Construct the model.

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateOrHex` | MoneroKeyImage | object | string | is a MoneroKeyImage, JS object, or hex string to initialize from (optional)
`signature` | string | is the key image's signature

Source:
  - src/main/js/daemon/model/MoneroKeyImage.js, line 7

### Methods

#### copy()

Source:
  - src/main/js/daemon/model/MoneroKeyImage.js, line 46

#### getHex()

Source:
  - src/main/js/daemon/model/MoneroKeyImage.js, line 28

#### getSignature()

Source:
  - src/main/js/daemon/model/MoneroKeyImage.js, line 37

#### merge()

Source:
  - src/main/js/daemon/model/MoneroKeyImage.js, line 54

#### setHex()

Source:
  - src/main/js/daemon/model/MoneroKeyImage.js, line 32

#### setSignature()

Source:
  - src/main/js/daemon/model/MoneroKeyImage.js, line 41

#### toJson()

Source:
  - src/main/js/daemon/model/MoneroKeyImage.js, line 50

#### toString()

Source:
  - src/main/js/daemon/model/MoneroKeyImage.js, line 62